using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

// アセンブリに関する一般的な情報は、次の方法で制御されます。
// 制御されます。アセンブリに関連付けられている情報を変更するには、
// これらの属性値を変更します。
[assembly: AssemblyTitle("ExcelToCsvToDb")]
[assembly: AssemblyDescription("")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("本田技研工業株式会社")]
[assembly: AssemblyProduct("ExcelToCsvToDb")]
[assembly: AssemblyCopyright("Copyright © 本田技研工業株式会社 2025")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

// ComVisible を false に設定すると、このアセンブリ内の型は COM コンポーネントから
// 参照できなくなります。COM からこのアセンブリ内の型にアクセスする必要がある場合は、
// その型の ComVisible 属性を true に設定します。
[assembly: ComVisible(false)]

// このプロジェクトが COM に公開される場合、次の GUID が typelib の ID になります
[assembly: Guid("6e9d8e26-7349-4fb9-bacf-8b1dc498e08b")]

// アセンブリのバージョン情報は次の 4 つの値で構成されています:
//
//      メジャー バージョン
//      マイナー バージョン
//      ビルド番号
//      リビジョン
//
[assembly: AssemblyVersion("0.9.5.0")]
[assembly: AssemblyFileVersion("0.9.5.0")]
// りれき💛
// 0.8.1.0 INIファイルパスをEXEパスにする
// 0.8.2.0 基本部番に元々スペースが入っているときの改修
// 0.9.0.0 新共通書式対応
// 0.9.1.0 新共通：ファイルパターン一致中最新のみ対象にする機能追加
// 0.9.2.0 新共通：部番の末尾スペースは不要
// 0.9.3.0 新共通：DBの挿入前削除で対象データの再過去日から削除するよう修正（修正はCLのほうだけかも）
// 0.9.4.0 新共通：・別シート部番検索でマッチング方式変更
//                 ・パターンに複数ファイル該当時の事前DB削除処理の改善
//                 ・タスク起動機能の追加
// 0.9.5.0 新共通：DBつかんでる対策
//                 ・トランザクションを外す
//                 ・バルクインサート対応！
